package cc.smtweb.system.bpm.web.engine.flow.entity;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-08-26 10:15:20
 * 实体【[流程实例](WF_PROCINST)】的Entity类
 */
@SwTable("WF_PROCINST")
public class ProcInst extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_PROCINST";

    public ProcInst() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("pri_id");
    }

    /**
     * 主键
     */
    public void setId(long pri_id) {
        put("pri_id", pri_id);
    }

    /**
     * 单据编号
     */
    public String getBillCode() {
        return getStr("pri_bill_code");
    }

    /**
     * 单据编号
     */
    public void setBillCode(String pri_bill_code) {
        put("pri_bill_code", pri_bill_code);
    }

    /**
     * 制单日期
     */
    public long getMakeDate() {
        return getLong("pri_make_date");
    }

    /**
     * 制单日期
     */
    public void setMakeDate(long pri_make_date) {
        put("pri_make_date", pri_make_date);
    }

    /**
     * 单据类别
     */
    public long getBillType() {
        return getLong("pri_bill_type");
    }

    /**
     * 单据类别
     */
    public void setBillType(long pri_bill_type) {
        put("pri_bill_type", pri_bill_type);
    }

    /**
     * 编制单位
     */
    public long getPartyId() {
        return getLong("pri_party_id");
    }

    /**
     * 编制单位
     */
    public void setPartyId(long pri_party_id) {
        put("pri_party_id", pri_party_id);
    }

    /**
     * 编制部门
     */
    public long getDeptId() {
        return getLong("pri_dept_id");
    }

    /**
     * 编制部门
     */
    public void setDeptId(long pri_dept_id) {
        put("pri_dept_id", pri_dept_id);
    }

    /**
     * 摘要
     */
    public String getBillDesc() {
        return getStr("pri_bill_desc");
    }

    /**
     * 摘要
     */
    public void setBillDesc(String pri_bill_desc) {
        put("pri_bill_desc", pri_bill_desc);
    }

    /**
     * 流程定义
     */
    public long getPrcId() {
        return getLong("pri_prc_id");
    }

    /**
     * 流程定义
     */
    public void setPrcId(long pri_prc_id) {
        put("pri_prc_id", pri_prc_id);
    }

    /**
     * 开始时间
     */
    public long getStartTime() {
        return getLong("pri_start_time");
    }

    /**
     * 开始时间
     */
    public void setStartTime(long pri_start_time) {
        put("pri_start_time", pri_start_time);
    }

    /**
     * 结束时间
     */
    public long getEndTime() {
        return getLong("pri_end_time");
    }

    /**
     * 结束时间
     */
    public void setEndTime(long pri_end_time) {
        put("pri_end_time", pri_end_time);
    }

    /**
     * 最后操作用户
     */
    public long getUserId() {
        return getLong("pri_user_id");
    }

    /**
     * 最后操作用户
     */
    public void setUserId(long pri_user_id) {
        put("pri_user_id", pri_user_id);
    }

    /**
     * 当前任务
     */
    public long getTaskId() {
        return getLong("pri_task_id");
    }

    /**
     * 当前任务
     */
    public void setTaskId(long pri_task_id) {
        put("pri_task_id", pri_task_id);
    }

    public String getActName() {
        return getStr("pri_act_name");
    }

    public void setActName(String priActName) {
        put("pri_act_name", priActName);
    }

    /**
     * 单据状态
     */
    public int getStatu() {
        return getInt("pri_statu");
    }

    /**
     * 单据状态
     */
    public void setStatu(int pri_statu) {
        put("pri_statu", pri_statu);
    }

    /**
     * 单据描述
     */
    public String getBillInfo() {
        return getStr("pri_bill_info");
    }

    /**
     * 单据描述
     */
    public void setBillInfo(String pri_bill_info) {
        put("pri_bill_info", pri_bill_info);
    }

    /**
     * 单据链接
     */
    public String getUrl() {
        return getStr("pri_url");
    }

    /**
     * 单据链接
     */
    public void setUrl(String pri_url) {
        put("pri_url", pri_url);
    }

    /**
     * 当前选择的任务
     */
    public void setSelTaskId(long selTaskId) {
        put("selTaskId", selTaskId);
    }
}
